/*
 * PmodTMP3.h
 *
 *  Created on: Feb 26, 2018
 *      Author: Krzysztof Chojnowski
 */

#ifndef PMODTMP3_H_
#define PMODTMP3_H_

#include <stdint.h>

/**
 * @brief Configure GPIO pins for PmodTMP3 communication.
 *        PF1  -> SCL
 *        PF0  -> SDA
 *        PF15 -> AL
 *        The alarm and hysteresis values do not use the fractional part.
 *
 * @param[in] alarm - The temperature alarm.
 * @param[in] hyst - The temperature alarm hysteresis.
 */
void PmodTMP3_Config(int8_t alarm, int8_t hyst);

/**
 *  Read the temperature from PmodTMP3. The temperature value
 *  is multiplied by 10 to keep 0.5 degree Celsius resolution.
 */
int16_t PmodTMP3_GetTemperature();

#endif /* PMODTMP3_H_ */
